%define snap 20131130
%define rel 12

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

%define gksu_lib    %mklibname gksu 2.0 0
%define gksu_devel  %mklibname -d gksu 2.0 0
%define gksu_version 2.0.3
%define gksulib_version 2.0.13

Name:           gksu-polkit
Version:        0.0.3
%if %snap
Release:        %mkrel 0.git%snap.%rel
%else
Release:        %mkrel %rel
%endif
Summary:        Command line utility to run programs as root
License:        LGPLv3+
URL:            https://wiki.gnome.org/Apps/Attic/gksu
Group:          Graphical desktop/GNOME

%if %snap
# git clone git://git.debian.org/~kov/gksu-polkit && cd gksu-polkit
# git archive --prefix=gksu-polkit-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../gksu-polkit-$(date +%Y%m%d).tar.xz
Source0:        %{name}-%{snap}.tar.xz
%else
Source0:        http://people.debian.org/~kov/gksu//%{name}-%{version}.tar.gz
%endif
Source1:        %{name}.service
Patch0:         gksu-polkit-0.0.2-fdr-dbus.patch
Patch1:         gksu-polkit-0.0.2-fdr-policy.patch
Patch2:         0001-common-Makefile.am-fix-libgksu_polkit_common_la_LDFL.patch
Patch3:         gksu-polkit-0.0.2-mga-format-string-literal.patch
Patch4:         gksu-polkit-0.0.2-obsd-prevent_stdin_stderr_clash.patch
Patch5:         gksu-polkit-0.0.3-mga-uint64_for_sizes.patch
Patch6:         gksu-polkit-XAUTHLOCALHOSTNAME.patch
Patch7:         gksu-polkit-fix-environment-whitelisting.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libgee0.6-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(polkit-agent-1)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  vala

Requires(pre):      rpm-helper
Requires(preun):    rpm-helper

#https://ml.mageia.org/l/arc/dev/2013-12/msg00001.html
Obsoletes:  gksu < %{gksu_version}
Provides:   gksu >= %{gksu_version}
Obsoletes:  gksu-utils

%description
This is a library and application used to ask the user for passwords to run
programs as root.

%package -n %{libname}
Summary:    Libraries for %{name}
Group:      System/Libraries
Provides:   %{gksu_lib} >= %{gksulib_version}
Obsoletes:  %{gksu_lib} < %{gksulib_version}

%description -n %{libname}
Libraries for software which uses %{name}.

%package -n %{develname}
Summary:    Development libraries and headers for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   %{gksu_devel} >= %{gksulib_version}
Obsoletes:  %{gksu_devel} < %{gksulib_version}

%description -n %{develname}
Development libraries and headers for %{name} libraries.

%prep
%if %snap
%setup -q -n %name-%snap
%else
%setup -q
%endif
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

mkdir -p %{buildroot}/%{_unitdir}
install -p -m 644 %{SOURCE1} %{buildroot}/%{_unitdir}/gksu-polkit.service

# Symlink the executable to gksu; so old habits may satisfied:
pushd %{buildroot}/%{_bindir}/
ln -sf %{name} gksu
popd

%files
%{_bindir}/%{name}
%{_bindir}/gksu
%{_datadir}/dbus-1/system-services/org.gnome.Gksu.service
%{_datadir}/%{name}-1/environment/common.variables
%{_datadir}/polkit-1/actions/org.gnome.gksu.policy
%{_sbindir}/gksu-server
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_unitdir}/gksu-polkit.service

%files -n %{libname}
%doc README THANKS
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}-1.pc



%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.0.3-0.git20131130.12.mga6
+ Revision: 930872
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.3-0.git20131130.11.mga5
+ Revision: 741443
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.3-0.git20131130.10.mga5
+ Revision: 679604
- Mageia 5 Mass Rebuild

* Fri Dec 27 2013 tarakbumba <tarakbumba> 0.0.3-0.git20131130.9.mga4
+ Revision: 560957
- Realese bump

* Tue Dec 24 2013 tarakbumba <tarakbumba> 0.0.3-0.git20131130.8.mga4
+ Revision: 560314
- Prevent stdin, stdout clashes
- Make xauth do not cause DNS lookups
- Fix problems with environment variables and make sure trailing slash in directories from (mga#11984)

* Thu Dec 12 2013 spuhler <spuhler> 0.0.3-0.git20131130.7.mga4
+ Revision: 556442
- added Obsoletes:  gksu-utils
 * gksu-utills needs libgksu which was made obsolete

* Mon Dec 09 2013 tarakbumba <tarakbumba> 0.0.3-0.git20131130.6.mga4
+ Revision: 556068
- Fix provides version

* Mon Dec 09 2013 tarakbumba <tarakbumba> 0.0.3-0.git20131130.5.mga4
+ Revision: 556064
- Add provides to satisfy gksu depended packages

* Mon Dec 09 2013 colin <colin> 0.0.3-0.git20131130.4.mga4
+ Revision: 556056
- Fix obsoletes

* Mon Dec 09 2013 colin <colin> 0.0.3-0.git20131130.3.mga4
+ Revision: 556044
- Drop post/preun service helper scripts as they are unneeded on a pure-dbus activated service.

* Mon Dec 09 2013 tarakbumba <tarakbumba> 0.0.3-0.git20131130.2.mga4
+ Revision: 556034
- Obsoletes gksu package

* Mon Dec 02 2013 tarakbumba <tarakbumba> 0.0.3-0.git20131130.1.mga4
+ Revision: 554688
- imported package gksu-polkit

